package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 管理活动抽查对象 t_manageactivity
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TManageactivity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private Long serialnumber;

    /** 等级 */
    @Excel(name = "等级")
    private String aclevel;

    /** 管理活动 */
    @Excel(name = "管理活动")
    private String activity;

    /** RC代码 */
    @Excel(name = "RC代码")
    private String rccode;

    /** 程序定义频次 */
    @Excel(name = "程序定义频次")
    private String progfreq;

    /** 抽检频次 */
    @Excel(name = "抽检频次")
    private String samplreq;

    /** 负责人 */
    @Excel(name = "抽检负责人")
    private String responsible;

    /** 年 */
    @Excel(name = "年份")
    private Long year;

    /** 一月 */
    @Excel(name = "一月")
    private String jan;

    /** 二月 */
    @Excel(name = "二月")
    private String feb;

    /** 三月 */
    @Excel(name = "三月")
    private String mar;

    /** 四月 */
    @Excel(name = "四月")
    private String apr;

    /** 五月 */
    @Excel(name = "五月")
    private String may;

    /** 六月 */
    @Excel(name = "六月")
    private String jun;

    /** 七月 */
    @Excel(name = "七月")
    private String jul;

    /** 八月 */
    @Excel(name = "八月")
    private String aug;

    /** 九月 */
    @Excel(name = "九月")
    private String sep;

    /** 十月 */
    @Excel(name = "十月")
    private String oct;

    /** 十一月 */
    @Excel(name = "十一月")
    private String nov;

    /** 十二月 */
    @Excel(name = "十二月")
    private String dec;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialnumber(Long serialnumber)
    {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber()
    {
        return serialnumber;
    }
    public void setAclevel(String aclevel)
    {
        this.aclevel = aclevel;
    }

    public String getAclevel()
    {
        return aclevel;
    }
    public void setActivity(String activity)
    {
        this.activity = activity;
    }

    public String getActivity()
    {
        return activity;
    }
    public void setRccode(String rccode)
    {
        this.rccode = rccode;
    }

    public String getRccode()
    {
        return rccode;
    }
    public void setProgfreq(String progfreq)
    {
        this.progfreq = progfreq;
    }

    public String getProgfreq()
    {
        return progfreq;
    }
    public void setSamplreq(String samplreq)
    {
        this.samplreq = samplreq;
    }

    public String getSamplreq()
    {
        return samplreq;
    }
    public void setResponsible(String responsible)
    {
        this.responsible = responsible;
    }

    public String getResponsible()
    {
        return responsible;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setJan(String jan)
    {
        this.jan = jan;
    }

    public String getJan()
    {
        return jan;
    }
    public void setFeb(String feb)
    {
        this.feb = feb;
    }

    public String getFeb()
    {
        return feb;
    }
    public void setMar(String mar)
    {
        this.mar = mar;
    }

    public String getMar()
    {
        return mar;
    }
    public void setApr(String apr)
    {
        this.apr = apr;
    }

    public String getApr()
    {
        return apr;
    }
    public void setMay(String may)
    {
        this.may = may;
    }

    public String getMay()
    {
        return may;
    }
    public void setJun(String jun)
    {
        this.jun = jun;
    }

    public String getJun()
    {
        return jun;
    }
    public void setJul(String jul)
    {
        this.jul = jul;
    }

    public String getJul()
    {
        return jul;
    }
    public void setAug(String aug)
    {
        this.aug = aug;
    }

    public String getAug()
    {
        return aug;
    }
    public void setSep(String sep)
    {
        this.sep = sep;
    }

    public String getSep()
    {
        return sep;
    }
    public void setOct(String oct)
    {
        this.oct = oct;
    }

    public String getOct()
    {
        return oct;
    }
    public void setNov(String nov)
    {
        this.nov = nov;
    }

    public String getNov()
    {
        return nov;
    }
    public void setDec(String dec)
    {
        this.dec = dec;
    }

    public String getDec()
    {
        return dec;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("serialnumber", getSerialnumber())
            .append("aclevel", getAclevel())
            .append("activity", getActivity())
            .append("rccode", getRccode())
            .append("progfreq", getProgfreq())
            .append("samplreq", getSamplreq())
            .append("responsible", getResponsible())
            .append("year", getYear())
            .append("jan", getJan())
            .append("feb", getFeb())
            .append("mar", getMar())
            .append("apr", getApr())
            .append("may", getMay())
            .append("jun", getJun())
            .append("jul", getJul())
            .append("aug", getAug())
            .append("sep", getSep())
            .append("oct", getOct())
            .append("nov", getNov())
            .append("dec", getDec())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("deptName", getDeptName())
            .toString();
    }
}
